Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004856OCamlOCamlbuild (the tool)public2009-09-04 11:182011-05-29 12:20
Reporterdoligez 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1 
Target VersionFixed in Version3.11.2+dev 
Summary0004856: ocamlbuild: probleme avec l'option -ocamlrun
DescriptionSi on lance ocamlbuild avec l'option -ocamlrun, il construit un executable natif et il echoue en essayant de le lancer sous l'interpreteur de byte-code.

Le probleme est a la ligne 99 de plugin.ml, qui ajoute Options.ocamlrun devant la ligne de commande, sans se demander si on est en train de lancer un byte-code ou un executable natif.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-09-04 11:18 doligez New Issue
2009-09-04 11:18 doligez Status new => assigned
2009-09-04 11:18 doligez Assigned To => ertai
2009-12-07 09:47 xclerc Status assigned => resolved
2009-12-07 09:47 xclerc Fixed in Version => 3.11.2+dev
2009-12-07 09:47 xclerc Resolution open => fixed
2011-05-29 12:20 xleroy Status resolved => closed
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker